//////////////////////////////////////////////////////////////////////////
//
// Routinen zur Servo Ansteuerung an RN Control mit ATmega32 bei 16MHz
// 1 Servo
//
// (c) Thomas PAIL
//
//////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////
// Controller Settings

// CPU Frequenz
#define CPU_FREQ 16

//////////////////////////////////////////////////////////////////////////
// Servo Settings

// Servo Port
#define SERVO_PORT PORTB

// Servo Pin
#define SERVO_PIN PINB0

// Servo DDR
#define SERVO_DDR DDRB

//////////////////////////////////////////////////////////////////////////
// Servo Initialisierung
void servo_init(void);

//////////////////////////////////////////////////////////////////////////
// Servo Ansteuerung
void servo(unsigned int pos);